var mongoose = require("mongoose");
var Schema = mongoose.Schema;
var autoInc = require("mongoose-auto-increment");

var userSchema = new Schema({
  _id: Number,
  user: String,
  name: String,
  id: String,
  password: String,
  email: String,
  isLoggedIn: Boolean,
  create_date: { type: Date, default: Date.now }
});

autoInc.initialize(mongoose.connection);
userSchema.plugin(autoInc.plugin, "user");

module.exports = mongoose.model("user", userSchema);
